<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>API: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script>
<script type="text/javascript" async="async" src="MathJax-2.7.0/MathJax.js"></script>
<link href="doxygen_user.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="OpenSimLogoWhiteHorizontal_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">API
   &#160;<span id="projectnumber">4.4.1-2022-09-05-d4bb9bc34</span>
   </div>
   <div id="projectbrief">For MATLAB, Python, Java, and C++ users</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classOpenSim_1_1AbstractDataTable.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">OpenSim::AbstractDataTable Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a8bf6dcfb7bd4058aff9efc94b3de9cf0">_dependentsMetaData</a></td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a85a70cde239c543fcb8cb3039045a5cb">_independentMetaData</a></td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a5caae9cfc6aea96ae5506c031818aa9a">_tableMetaData</a></td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a7bcf4dca3ef077bf820a0a3c729f1538">AbstractDataTable</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#ab6dee328545cb9d808d3a499c71dce4b">AbstractDataTable</a>(const AbstractDataTable &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#af4dbe0b1d3c9681ba2dea9cae6937d54">AbstractDataTable</a>(AbstractDataTable &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a519ebcb3d6706224c0c267f018c99a7e">addTableMetaData</a>(const std::string &amp;key, const Value &amp;value)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a68ca16c24df8635cedc1dda894c92d77">appendColumnLabel</a>(const std::string &amp;columnLabel)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a814cc4adf1518a254075ca0561068740">clone</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#ab0d529e8575ba739133b3523326966f6">DependentsMetaData</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a461ad48e14eb601fdabe0f07aa69f330">getColumnIndex</a>(const std::string &amp;columnLabel) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a2c96abf05932124e290be7a4996936b2">getColumnLabel</a>(const size_t columnIndex) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a612ebff129a7b360c6ad280278d0832a">getColumnLabels</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#aae0632c32809c56584d97de87e9bdc0b">getDependentsMetaData</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a72e8d2388068079a950bc464a6ee8c0d">getIndependentMetaData</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a1cb53d9010b3d7d9619b44b38032d883">getNumColumns</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a644dcaa279ae93cca5de208b69c3bbb1">getNumRows</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a23e87941343dfffca37314de44993d69">getTableMetaData</a>(const std::string &amp;key) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a14a00ca21e059697c7ba0c3274c7c4d1">getTableMetaData</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a57d1577e386381058cb803a32007c623">getTableMetaDataAsString</a>(const std::string &amp;key) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a5671189f855033a7df6d896a696b853c">getTableMetaDataKeys</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a746d7cb5d28cece2e87e1a74f724abcb">hasColumn</a>(const std::string &amp;columnLabel) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#aa9a78b3133c776b7108e1008b4d9ec64">hasColumn</a>(const size_t columnIndex) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a5a293b7d71affc6ab3d2e20a9dee51bb">hasColumnLabels</a>() const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a6c3d3b975fd9776f7bf188c3ed9bb8b8">hasTableMetaDataKey</a>(const std::string &amp;key) const</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a2cb6da8d21311e4cdcacccf54749c02c">implementGetNumColumns</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#ad8b5977c8c8bd4d8366b6b61d4673622">implementGetNumRows</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#ab5bd07dcadfe648f7e490880aadce901">IndependentMetaData</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a56c7b20cb7918eb1a57740dcc022f77d">numComponentsPerElement</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#acdb54e3c20d13656dca10b56b6f79d9f">operator=</a>(const AbstractDataTable &amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#acb6d981b87341cd3e156db3f1017c2a1">operator=</a>(AbstractDataTable &amp;&amp;)=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a8fced9eb9488c0bee3b783f0a79fdf76">removeDependentsMetaDataForKey</a>(const std::string &amp;key)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a77f37751e31c4423d6569903bb966ef2">removeTableMetaDataKey</a>(const std::string &amp;key)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a95125a7ee1dd3d1f1170a99d32721095">setColumnLabel</a>(const size_t columnIndex, const std::string &amp;columnLabel)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#ab0560d55abfb66129046026544c83ac6">setColumnLabels</a>(InputIt first, InputIt last)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a0ea75eafddcd43cc814d1791287f5fe9">setColumnLabels</a>(const Container &amp;columnLabels)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a7d89b04570fcfe464dcd736822cb61c5">setColumnLabels</a>(const std::initializer_list&lt; std::string &gt; &amp;columnLabels)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a48a1a04311ec3c8d1fac4e3ae33cd4a5">setDependentsMetaData</a>(const DependentsMetaData &amp;dependentsMetaData)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a19b0fea28eeeaa552128cea5ef6220be">setIndependentMetaData</a>(const IndependentMetaData &amp;independentMetaData)</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a3e6e5a197323421a75121ff942b2071e">TableMetaData</a> typedef</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#aacbf39f751c82446829d1b849ae319f2">updTableMetaData</a>()</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a5607d09257762b96633051ff483632ab">validateDependentsMetaData</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#a5d4691b7c074fcba7aec2f7de230cd52">validateIndependentMetaData</a>() const =0</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">pure virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html#ade8ef2d3dde20cec3d2f68ffb81776ef">~AbstractDataTable</a>()=default</td><td class="entry"><a class="el" href="classOpenSim_1_1AbstractDataTable.html">OpenSim::AbstractDataTable</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Mon Sep 5 2022 20:49:40 for API by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.0 </li>
  </ul>
</div>
</body>
</html>
